Uploaded image for project: 'EMR API'
  1. EMR API
  2. EA-166

Add support for post 2.2 diagnoses to VisitDomainWrapper

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.31.0
    • Labels:
      None

      Description

      Currently, visit VisitDomainWrapper, only supports legacy diagnosis, causing new diagnosis entities not to be considered. This causes issues such as showing that no diagnosis exist on customer summary page when, in reality, there are and are shown  in other places.

      VisitDomainWrapper, similarly to DiagnosisServiceImpl2_2, must support both legacy and post 2.2 entities and rely on emrapi.useLegacyDiagnosisService global property configuration.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                icrc.psousa Pedro Sousa
                Reporter:
                icrc.psousa Pedro Sousa
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: